[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TCustomControl.WMPaint

Handles LM_PAINT messages for the control.

## Declaration

Source position: controls.pp line 2474

`protected procedure TCustomControl.WMPaint(`
`var Message: TLMPaint`
`); message;`

## Arguments

`Message` |  | Message handled in the method.

## Description

Re-implements the method from the ancestor class to update ControlState prior to handling the specified Message. Includes the value csCustomPaint in ControlState before calling the inherited method. Removes csCustomPaint from ControlState after the message has been handled.

No actions are performed in the method when the control is being freed, or when a Handle has not been allocated for the control.

## See also

TWinControl.WMPaint |  | Manages paint requests, and handles double buffering.